Update information on the current user
PUT
/api/v1/auth/info
const url = 'https://example.com/api/v1/auth/info';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email_optin_consent":true,"family_name":"Marie","given_name":"Curie","hide_get_started_accordion":true,"profile":{"country":"example","organization":{"name":"example","type":"example"},"role":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/auth/info \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email_optin_consent": true, "family_name": "Marie", "given_name": "Curie", "hide_get_started_accordion": true, "profile": { "country": "example", "organization": { "name": "example", "type": "example" }, "role": "example" } }'Updates the current user’s profile information including personal details, professional information, preferences.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email_optin_consent
boolean
family_name
string
Example
Mariegiven_name
string
Example
Curiehide_get_started_accordion
boolean
profile
object
country
string
organization
object
name
string
type
string
role
string
Responses
Section titled “Responses”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
object
email
required
string
family_name
string
given_name
string
user_id
required
string
user_metadata
object
country
string
email_optin_consent
boolean
hide_get_started_accordion
boolean
organization
object
name
string
type
string
role
string
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "data": { "family_name": "Curie", "given_name": "Marie" }, "message": "success", "status": "OK"}